Name:           enki
Version:        20.03.1
Release:        %mkrel 1
Summary:        Advanced text editor for programmers
Group:          Editors
License:        GPLv2
URL:            http://enki-editor.org/
Source0:        https://github.com/hlamer/enki/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  desktop-file-utils
BuildRequires:  python3-setuptools
BuildRequires:  python3-qutepart
BuildRequires:  python3-qt5-devel
Requires:       python3
Requires:       python3-markdown
Requires:       python3-qutepart
Requires:       python3-docutils
Requires:       python3-regex
Requires:       python3-qt5-core
Requires:       python3-qt5-gui
Requires:       python3-qt5-test
Requires:       python3-qt5-webchannel
Requires:       python3-qt5-webengine
Requires:       python3-qt5-webenginecore
Requires:       python3-qt5-webenginewidgets
Requires:       python3-qt5-widgets
Requires:       python3-sip
Requires:       python-jupyter-qtconsole
Recommends:     python3-flake8
Recommends:     python3-sphinx
Recommends:     ctags
Recommends:     python3-codechat

%description
Enki is an advanced text editor for programmers. It is:
    - User friendly. Intuitive interface. Works out of the box.
      You don't have to read a lot of docs
    - Hacker friendly. Work as quickly as possible.
      You don't need your mouse for coding.
    - Lighweight. Some IDEs show splashscreen.
      Enki will never do it. It just starts quickly.
    - Advanced. You invent software. An editor helps you to do a routine job.
    - Extensible. Operating systems are designed for running applications.
      Enki is designed for running plugins.
    - Cross platform. Use your habitual editor on any OS.
      Currently has beeen tested on Linux, MacOS X, Windows.
    - High quality. No long list of fancy features.
      But, what is done, is done well.
    - Open source. In GitHub we trust.


%prep
%setup -q
%autopatch -p1
#
# https://github.com/andreikop/enki/commit/557ee6c3fbc681f03508451077f062195e4d812c
sed -i s:==2016.10.22:: setup.py

%build
%py3_build

%install
%py3_install

%files
%doc README.md ChangeLog
%{_bindir}/%{name}
%{python3_sitelib}/%{name}*
%{_iconsdir}/hicolor/*/*/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/enki.svg
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Tue Mar 31 2020 daviddavid <daviddavid> 20.03.1-1.mga8
+ Revision: 1562692
- new version: 20.03.1

* Mon Feb 17 2020 umeabot <umeabot> 19.10.0-2.mga8
+ Revision: 1537528
- Mageia 8 Mass Rebuild

* Mon Nov 04 2019 daviddavid <daviddavid> 19.10.0-1.mga8
+ Revision: 1457503
- new version: 19.10.0

* Sat Sep 21 2019 daviddavid <daviddavid> 18.08.0-6.mga8
+ Revision: 1444159
- rebuild for python3.8

* Sat Jan 12 2019 dglent <dglent> 18.08.0-5.mga7
+ Revision: 1355422
+ rebuild (emptylog)

* Sat Jan 12 2019 dglent <dglent> 18.08.0-4.mga7
+ Revision: 1355415
+ rebuild (emptylog)

* Fri Jan 11 2019 dglent <dglent> 18.08.0-3.mga7
+ Revision: 1354745
- Find Sphinx version patch

* Fri Jan 11 2019 daviddavid <daviddavid> 18.08.0-2.mga7
+ Revision: 1354694
- rebuild for new Python 3.7

* Wed Oct 31 2018 daviddavid <daviddavid> 18.08.0-1.mga7
+ Revision: 1326802
- new version: 18.08.0

* Thu Sep 20 2018 umeabot <umeabot> 17.03.0-2.mga7
+ Revision: 1278156
- Mageia 7 Mass Rebuild

* Thu Nov 09 2017 dglent <dglent> 17.03.0-1.mga7
+ Revision: 1176727
- Version 17.03.0

* Sat Aug 05 2017 pterjan <pterjan> 16.04.1-2.mga7
+ Revision: 1135206
- Rebuild for python 3.6

* Thu Sep 22 2016 akien <akien> 16.04.1-1.mga6
+ Revision: 1055121
- Version 16.04.1

* Mon Jun 27 2016 akien <akien> 16.04.0-4.mga6
+ Revision: 1037841
- Rebuild in core/release

* Sat Jun 25 2016 akien <akien> 16.04.0-3.mga6
+ Revision: 1037534
- Rebuild for python-sip 4.18

* Fri May 06 2016 dglent <dglent> 16.04.0-2.mga6
+ Revision: 1009672
- Add python3-sip in Requires - mga#18381

* Wed Apr 20 2016 dglent <dglent> 16.04.0-1.mga6
+ Revision: 1003675
- Version 16.04.0
- Qt5
- Drop patches

* Thu Mar 17 2016 daviddavid <daviddavid> 15.11.0-4.mga6
+ Revision: 992341
- rediff unappliable open-terminal-in-cwd patch (since fixed autopatch)

* Fri Dec 25 2015 dglent <dglent> 15.11.0-3.mga6
+ Revision: 914581
- Add patch to open the terminal in the current directory

* Thu Dec 24 2015 dglent <dglent> 15.11.0-2.mga6
+ Revision: 913927
- Tag as Recommends the suggested only packages
- Change the minimum version of python-regex to the minimum version needed by the program
- Add patch: open the file dialogue pointed to the folder of the current file
- Tag python-regex in Recommends
- Add minimum version for python-regex

* Sat Dec 19 2015 dglent <dglent> 15.11.0-1.mga6
+ Revision: 911857
- imported package enki

